package com.rjconsultores.ventaboletos.utilerias.spring;

import org.hibernate.HibernateException;
import org.hibernate.cfg.AnnotationConfiguration;
import org.springframework.orm.hibernate3.annotation.AnnotationSessionFactoryBean;

import com.rjconsultores.ventaboletos.dao.hibernate.sqlfunction.FnArredondamentoTarifa;

public class MyAnnotationSessionFactoryBean extends AnnotationSessionFactoryBean{

    public MyAnnotationSessionFactoryBean() {
        super();
    }


    @Override
    protected void postProcessAnnotationConfiguration(AnnotationConfiguration config) throws HibernateException {
        config.addSqlFunction("FN_ARREDONDAMENTO_TARIFA", new FnArredondamentoTarifa());
    }
}

